{
  config,
  inputs,
  ...
}:
let
  inherit (config.modules.meta) username;
in
{
  imports = [
    ../../modules/home-manager.nix
    inputs.home-manager.nixosModules.home-manager
  ];

  home-manager.users.${username} = {
    imports = [
      ../../home/themes/vanilla.nix
      ../../home
    ];

    dconf = {
      enable = true;
      settings."org/virt-manager/virt-manager/connections" = {
        autoconnect = [ "qemu:///system" ];
        uris = [ "qemu:///system" ];
      };
    };

    programs = {
      direnv = {
        enable = true;
        nix-direnv.enable = true;
      };
      beets.enable = true;
      vscode.enable = true;
      ssh.enable = true;
    };

    services = {
      blueman-applet.enable = true;
      syncthing.enable = true;
    };

    home = {
      inherit username;
      inherit (config.system) stateVersion;
    };
  };
}
