{
  pkgs,
  config,
  inputs',
  ...
}:
let
  inherit (config.modules.meta) username;
in
{
  config = {
    users.users.${username} = {
      packages =
        [
          inputs'.nur.packages.grayjay-desktop
        ]
        ++ (with pkgs; [
          digikam
          fragments
          element-desktop
          loupe
          seahorse
          gimp
          thunderbird
          keepassxc
          protonmail-bridge-gui
          varia
          signal-desktop
          onlyoffice-desktopeditors
          picard
          simple-scan
          insomnia
          beekeeper-studio

          # Proprietary
          postman
          mongodb-compass
          obsidian

          # CLI tools
          jhead
          fdupes
          exiftool
          sshfs
          lazygit
          wl-clipboard

          # custom
          nysh
          scripts.screenshot
          scripts.nixedit
          scripts.set-background
          scripts.rpaste
          scripts.nrun
          scripts.nruni
          scripts.genswitch
          scripts.gentest
          scripts.editsym
          scripts.deployswitch
          scripts.deploytest
        ]);
      isNormalUser = true;
      createHome = true;
      extraGroups = [
        "networkmanager"
        "audio"
        "libvirtd"
      ];
    };
  };
}
